## com.trilead.ssh2.crypto.cipher
Class CipherOutputStream

    java.lang.Object
      com.trilead.ssh2.crypto.cipher.CipherOutputStream

    public class CipherOutputStream

extends java.lang.Object

CipherOutputStream.

Constructor Summary
`CipherOutputStream(BlockCipher tc, java.io.OutputStream bo)`

Method Summary
`void` `changeCipher(BlockCipher bc)`
`void` `flush()`
`void` `write(byte[] src, int off, int len)`
`void` `write(int b)`
`void` `writePlain(byte[] b, int off, int len)`
`void` `writePlain(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CipherOutputStream

    public CipherOutputStream(BlockCipher tc,
                              java.io.OutputStream bo)

Method Detail

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### changeCipher

    public void changeCipher(BlockCipher bc)

### write

    public void write(byte[] src,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePlain

    public void writePlain(int b)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePlain

    public void writePlain(byte[] b,
                           int off,
                           int len)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`